Dashboard

Domains

Auth Required

Verify Domain

POSThttps://api.inboxjot.com/v1/domains/{domain_id}/verify

Checks the DNS records now and returns the domain with the new status. Inboxjot also checks on its own until the domain is verified. Needs a Full key. A key limited to one domain answers 403. Send an optional Idempotency-Key header to retry safely. See Idempotency.

POST/v1/domains/{domain_id}/verify
curl -X POST https://api.inboxjot.com/v1/domains/dom_06d2mfk8r2bq7wz4hs9na/verify \
  -H "Authorization: Bearer $INBOXJOT_API_KEY"
{
  "id": "dom_06d2mfk8r2bq7wz4hs9na",
  "name": "acme.dev",
  "mail_from_domain": "send.acme.dev",
  "status": "verified",
  "records": [
    {
      "kind": "dkim",
      "type": "TXT",
      "name": "inboxjot._domainkey.acme.dev",
      "value": "v=DKIM1; k=rsa; p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA…",
      "status": "verified"
    },
    {
      "kind": "return_path",
      "type": "CNAME",
      "name": "send.acme.dev",
      "value": "send-us-east-1.inboxjot-dns.com",
      "status": "verified"
    },
    {
      "kind": "dmarc",
      "type": "TXT",
      "name": "_dmarc.acme.dev",
      "value": "\"v=DMARC1; p=none;\"",
      "status": "verified"
    }
  ],
  "region": "us-east-1",
  "tls_policy": "optional",
  "receiving_enabled": false,
  "receiving_target": "subdomain",
  "receiving_status": "not_started",
  "receiving_found_mx": null,
  "receiving_checked_at": null,
  "receiving_verified_at": null,
  "open_tracking": true,
  "click_tracking": true,
  "tracking_domain": null,
  "tracking_status": "not_started",
  "tracking_records": [],
  "tracking_verified_at": null,
  "mailing_address": null,
  "verified_at": "2026-10-21T09:12:00.000Z",
  "created_at": "2026-10-21T09:00:00.000Z",
  "updated_at": "2026-10-21T09:00:00.000Z",
  "sent_last_30_days": 0,
  "bounced_last_30_days": 0,
  "is_default": true,
  "receiving": {
    "host": "inbound.acme.dev",
    "mx": "inbound-smtp.us-east-1.amazonaws.com",
    "shared_address": null
  },
  "warmup": {
    "enabled": false,
    "started_on": null,
    "day": null,
    "limit": null,
    "next_limit": null,
    "sent_today": 0,
    "full_volume_on": null
  }
}

Checked the domain records.

Path Parameters

domain_idstringrequired

The domain id.

Response

idstring

The domain id.

namestring

The domain, such as acme.dev.

mail_from_domainstring

The return path domain, such as send.acme.dev.

statusstring

not_started, pending, verified, failed or temporary_failure.

recordsobject[]

The DNS records to add at your DNS provider.

regionstring

The sending region, such as us-east-1.

tls_policystring

optional sends over TLS when the receiving server supports it. require sends only over TLS.

receiving_enabledboolean

Whether the domain receives email.

receiving_targetstring

subdomain receives on inbound. plus the domain. root receives on the domain itself.

receiving_statusstring

The status of the MX record for receiving: not_started, pending, verified, failed or temporary_failure.

receiving_found_mxstring | null

The MX record found at the last check.

receiving_checked_atstring | null

When the MX record was last checked.

receiving_verified_atstring | null

When receiving was verified.

open_trackingboolean

Whether opens are tracked.

click_trackingboolean

Whether clicks are tracked.

tracking_domainstring | null

The custom tracking domain, if you set one.

tracking_statusstring

The status of the tracking domain: not_started, pending, issuing, verified or failed.

tracking_recordsobject[]

The DNS records for the tracking domain.

tracking_verified_atstring | null

When the tracking domain was verified.

mailing_addressstring | null

The postal address in the footer of marketing email from this domain. Null uses the workspace address.

verified_atstring | null

When the domain was verified.

created_atstring

When it was added.

updated_atstring

When it last changed.

sent_last_30_daysinteger

Emails sent from the domain in the last 30 days.

bounced_last_30_daysinteger

Bounces in the last 30 days.

is_defaultboolean

True for the default sending domain of the workspace.

receivingobject

Where the domain receives email.

warmupobject

The warmup of the domain.

Responses

POST/v1/domains/{domain_id}/verify
curl -X POST https://api.inboxjot.com/v1/domains/dom_06d2mfk8r2bq7wz4hs9na/verify \
  -H "Authorization: Bearer $INBOXJOT_API_KEY"
{
  "id": "dom_06d2mfk8r2bq7wz4hs9na",
  "name": "acme.dev",
  "mail_from_domain": "send.acme.dev",
  "status": "verified",
  "records": [
    {
      "kind": "dkim",
      "type": "TXT",
      "name": "inboxjot._domainkey.acme.dev",
      "value": "v=DKIM1; k=rsa; p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA…",
      "status": "verified"
    },
    {
      "kind": "return_path",
      "type": "CNAME",
      "name": "send.acme.dev",
      "value": "send-us-east-1.inboxjot-dns.com",
      "status": "verified"
    },
    {
      "kind": "dmarc",
      "type": "TXT",
      "name": "_dmarc.acme.dev",
      "value": "\"v=DMARC1; p=none;\"",
      "status": "verified"
    }
  ],
  "region": "us-east-1",
  "tls_policy": "optional",
  "receiving_enabled": false,
  "receiving_target": "subdomain",
  "receiving_status": "not_started",
  "receiving_found_mx": null,
  "receiving_checked_at": null,
  "receiving_verified_at": null,
  "open_tracking": true,
  "click_tracking": true,
  "tracking_domain": null,
  "tracking_status": "not_started",
  "tracking_records": [],
  "tracking_verified_at": null,
  "mailing_address": null,
  "verified_at": "2026-10-21T09:12:00.000Z",
  "created_at": "2026-10-21T09:00:00.000Z",
  "updated_at": "2026-10-21T09:00:00.000Z",
  "sent_last_30_days": 0,
  "bounced_last_30_days": 0,
  "is_default": true,
  "receiving": {
    "host": "inbound.acme.dev",
    "mx": "inbound-smtp.us-east-1.amazonaws.com",
    "shared_address": null
  },
  "warmup": {
    "enabled": false,
    "started_on": null,
    "day": null,
    "limit": null,
    "next_limit": null,
    "sent_today": 0,
    "full_volume_on": null
  }
}

Checked the domain records.